i'm having Red Hat Linux 9.0. as it doesn't come with any movie player. i've downloaded mplayer from www.freshrpms.net. but on installing it is giving following errors that so many packages are not installed.
1. whether i've to download all of them separately from the above site or there is some other method?
2. if they are needed by MPLAYER then why they are not included in the mplayer rpm package itself?
and
3. if i install XINE then so many packages are needed or not?

here is my output after installing MPLAYER package as root :-

[root@localhost root]# rpm -i mplayer-1.0-0.1.20031002.fr.i386.rpm
warning: mplayer-1.0-0.1.20031002.fr.i386.rpm: V3 DSA signature: NOKEY, key ID e42d547b
error: Failed dependencies:
aalib is needed by mplayer-1.0-0.1.20031002.fr
alsa-lib is needed by mplayer-1.0-0.1.20031002.fr
faad2 is needed by mplayer-1.0-0.1.20031002.fr
lame is needed by mplayer-1.0-0.1.20031002.fr
libaa.so.1 is needed by mplayer-1.0-0.1.20031002.fr
libasound.so.2 is needed by mplayer-1.0-0.1.20031002.fr
libasound.so.2(ALSA_0.9) is needed by mplayer-1.0-0.1.20031002.fr
libdv is needed by mplayer-1.0-0.1.20031002.fr
libdv.so.2 is needed by mplayer-1.0-0.1.20031002.fr
libdvdread is needed by mplayer-1.0-0.1.20031002.fr
libdvdread.so.3 is needed by mplayer-1.0-0.1.20031002.fr
libfame is needed by mplayer-1.0-0.1.20031002.fr
liblirc_client.so.0 is needed by mplayer-1.0-0.1.20031002.fr
liblzo.so.1 is needed by mplayer-1.0-0.1.20031002.fr
libmad.so.0 is needed by mplayer-1.0-0.1.20031002.fr
libmp3lame.so.0 is needed by mplayer-1.0-0.1.20031002.fr
libpostproc = 1.0-0.1.20031002.fr is needed by mplayer-1.0-0.1.20031002.fr
libpostproc.so.0 is needed by mplayer-1.0-0.1.20031002.fr
lirc is needed by mplayer-1.0-0.1.20031002.fr
lzo is needed by mplayer-1.0-0.1.20031002.fr
mplayer-fonts is needed by mplayer-1.0-0.1.20031002.fr